Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0028729
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] Z. Othersmajoralways2015-01-22 11:412015-03-05 17:01
ReportermaiteView Statuspublic 
Assigned ToSandrahuguet 
PriorityurgentResolutionfixedFixed in Version
StatusclosedFix in branchFixed in SCM revision268b0e438f83
ProjectionnoneETAnoneTarget Version3.0PR15Q2
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Tovmromanos
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0028729: When "reverse payment" process is run for a credit payment, credit generated in that specific payment should be consumed

DescriptionWhen "reverse payment" process is run for a credit payment, credit generated in that specific payment should be consumed instead of oldest credit available
Steps To Reproduce1. Enable Reverse Payment functionality following: http://wiki.openbravo.com/wiki/Projects:Reversepayment/User_Manual#Reverse_Payment [^]
2. Register Payment Out for any BP and set Generated Credit=150. Process
3. Register new Payment Out for same BP and set Generated Credit=80. Process
4. Run "Reverse payment" process from second payment.
5. Access generated counter-payment and verify in its "Used Credit source" tab that credit consumed from the first payment instead of from the second one
Proposed Solutionmodulescript required in order to fix erroneous data
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0075171)
hgbot (developer)
2015-03-04 18:33

Repository: erp/devel/pi
Changeset: 268b0e438f83f1e7c944a75045d5ddf5780fdccf
Author: Sandra Huguet <sandra.huguet <at> openbravo.com>
Date: Wed Mar 04 18:22:34 2015 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/268b0e438f83f1e7c944a75045d5ddf5780fdccf [^]

Fixed bug 28729 select the proper credit when a reverse payment is made

When reverse payment process is run for a credit payment the credit
generated in that specific payment should be consumed

---
M modules/org.openbravo.advpaymentmngt/src/org/openbravo/advpaymentmngt/process/FIN_PaymentProcess.java
---
(0075174)
vmromanos (developer)
2015-03-04 18:37

code review + testing OK
(0075210)
hudsonbot (developer)
2015-03-05 17:01

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/2369c54c9f14 [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2015-01-22 11:41 maite New Issue
2015-01-22 11:41 maite Assigned To => dmiguelez
2015-01-22 11:41 maite Modules => Core
2015-01-22 11:41 maite Triggers an Emergency Pack => No
2015-01-22 11:41 maite Issue Monitored: networkb
2015-01-22 11:42 maite Assigned To dmiguelez => Sandrahuguet
2015-03-04 18:33 hgbot Checkin
2015-03-04 18:33 hgbot Note Added: 0075171
2015-03-04 18:33 hgbot Status new => resolved
2015-03-04 18:33 hgbot Resolution open => fixed
2015-03-04 18:33 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/268b0e438f83f1e7c944a75045d5ddf5780fdccf [^]
2015-03-04 18:37 vmromanos Review Assigned To => vmromanos
2015-03-04 18:37 vmromanos Note Added: 0075174
2015-03-04 18:37 vmromanos Status resolved => closed
2015-03-05 17:01 hudsonbot Checkin
2015-03-05 17:01 hudsonbot Note Added: 0075210


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker